import * as widgets from '@jupyter-widgets/base';
import { ScaleModel } from './ScaleModel';
export declare class Scale extends widgets.WidgetView {
    render(): void;
    create_event_listeners(): void;
    set_range(range: any, padding: any): void;
    compute_and_set_domain(array: any, id: any): void;
    set_domain(array: any, id: any): void;
    model_domain_changed(): void;
    highlight_axis(): void;
    unhighlight_axis(): void;
    expand_domain(old_range: any, new_range: any): void;
    offset: number;
    scale: any;
    model: widgets.WidgetModel & ScaleModel;
}
